diff options
author | B Stack <bgstack15@gmail.com> | 2022-02-14 22:49:17 -0500 |
---|---|---|
committer | B Stack <bgstack15@gmail.com> | 2022-02-14 22:49:17 -0500 |
commit | c364901df2ef04553fc7508c31446ad14ac93737 (patch) | |
tree | 7f2441778eba0661195024484122e55754e52bcd /extra/pip-helper.sh | |
parent | add initial centos7 doc (diff) | |
download | stackbin-c364901df2ef04553fc7508c31446ad14ac93737.tar.gz stackbin-c364901df2ef04553fc7508c31446ad14ac93737.tar.bz2 stackbin-c364901df2ef04553fc7508c31446ad14ac93737.zip |
r-proxy support with /set endpoint, and extra dir
The extra dir is still WIP
Diffstat (limited to 'extra/pip-helper.sh')
-rw-r--r-- | extra/pip-helper.sh | 32 |
1 files changed, 32 insertions, 0 deletions
diff --git a/extra/pip-helper.sh b/extra/pip-helper.sh new file mode 100644 index 0000000..499ef3b --- /dev/null +++ b/extra/pip-helper.sh @@ -0,0 +1,32 @@ +#!/bin/sh +# This file is part of the stackbin package. +# It is designed to be run as root, and it will run the requisite pip commands for the discovered environment. + +contents="$( awk -F'=' '/ID=|VERSION_ID/{print $2}' /etc/os-release 2>/dev/null | sed -r -e 's/"//g;' )" +id="$( echo "${contents}" | sed -n -e '1p' )" +version_id="$( echo "${contents}" | sed -n -e '2p' )" + +echo "Any parameters sent to this script ${0} will be added to the list of packages to install." +echo "This is particularly useful for adding the PyGObject for icon support on EL7." +piplist="${1}" + +if echo "${id}" | grep -qiE 'rhel|centos' ; +then + if echo "${version_id}" | grep -qiE '7' ; + then + piplist="${piplist} flask-sqlalchemy pytimeparse" + fi +else + echo "Unknown os from /etc/os-release. Please investigate what pip3" 1>&2 + echo "packages are required for this OS release and share it with upstream." 1>&2 + echo "Aborted." 1>&2 + exit 1 +fi + +if test -n "${piplist}" ; +then + echo "Will try to serially install with pip these packages: ${piplist}" + for word in ${piplist} ; do + su stackbin -s /bin/sh -c "pip3 install --user ${word}" || exit 1 + done +fi |